aboutsummaryrefslogtreecommitdiff
path: root/contrib/kiss-owns
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/kiss-owns')
-rwxr-xr-xcontrib/kiss-owns4
1 files changed, 3 insertions, 1 deletions
diff --git a/contrib/kiss-owns b/contrib/kiss-owns
index 249c52c..1ab7c55 100755
--- a/contrib/kiss-owns
+++ b/contrib/kiss-owns
@@ -8,7 +8,9 @@ file=$(readlink -f "$KISS_ROOT/${1##$KISS_ROOT}")
# Check if the file exists and exit if it is not.
[ -f "$file" ] || {
- printf '%s\n' "error: file '$1' doesn't exist." >&2
+ [ -d "$file" ] && printf '%s\n' \
+ "error: please specify a file instead of a directory" >&2 ||
+ printf '%s\n' "error: file '$1' doesn't exist." >&2
exit 1
}